<?php
/* $Id: advanced_search.php 117 2007-03-10 03:13:04Z dreamscape $ */
/**
 * @package SeoUrl
 * @subpackage Plugins
 * @name seo.plugins.url.plugins.core.advanced_search
 */

if (!defined('IS_ADMIN_FLAG')) {
	die('Illegal Access');
}


class CoreAdvancedSearchSeoUrlPlugin extends SeoUrlPlugin {

	/**
	 * @var string Plugin title
	 */
	var $title = 'Core: Advanced Search';

	/**
	 * @var string Plugin description
	 */
	var $descr = '';

	var $page = FILENAME_ADVANCED_SEARCH;
	var $excludeParams = 'keyword';


	function generateSeoUrl($params) {
		if (!isset($params['keyword'])) {
			return false;
		}

		return $this->page . '/' . urlencode($params['keyword']);
	}


	function matchSeoUrl($url) {
		if (preg_match('/^' . $this->page . '\/(.+)$/', $url, $matches)) {
			return array(
				$main_page = $this->page,
				$get_params = array(
					'keyword' => urldecode($matches[1]),
				),
			);
		}

		return false;
	}

}
